Bug 23570 - Hedgewars need an update to play with the online server
Summary: Hedgewars need an update to play with the online server
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-09-13 12:11 CEST by José Jorge
Modified: 2018-10-14 02:59 CEST (History)
5 users (show)

See Also:
Source RPM: hedgewars
CVE:
Status comment:


Attachments

Description José Jorge 2018-09-13 12:11:26 CEST
The online server only shows 0.24.1 clients, so I will push an update to MGA6.
Comment 1 José Jorge 2018-09-13 12:25:31 CEST
TESTERS : tThe simplest way to test is only to connect to online game before and after the update.


Suggested advisory :

Hedgewars game is updated to latest version to allow online play in the official server. This update also upgrades from Qt4 to Qt5, the maintained version of this framework.

SRPM:
hedgewars-0.9.24.1-1.mga6.srpm

RPMS:
hedgewars-0.9.24.1-1.mga6.x86_64.rpm
hedgewars-data-0.9.24.1-1.mga6.noarch.rpm

CC: (none) => lists.jjorge
Status: NEW => ASSIGNED
Assignee: lists.jjorge => qa-bugs

Comment 2 Herman Viaene 2018-09-17 11:08:25 CEST
MGA6-32 MATE on IBM Thinkpad R50e
No installation issues.
Hmmmm, launched hedgewars from CLI, get feedback which seems OK for a brand new installation.
$ hedgewars 
Qt style set: Windows
[PHYSFS] Init: ok
[PHYSFS] Mounting '/usr/share/games/hedgewars/Data' to '/': ok
[PHYSFS] Mounting '/home/tester6/.hedgewars/Data' to '/': ok
[PHYSFS] Mounting '/home/tester6/.hedgewars' to '/': ok
[PHYSFS] Setting write dir to '/home/tester6/.hedgewars': ok
Detected system locale: nl_BE
Frontend uses locale: nl_BE
Failed to install Hedgewars translation (nl_BE)
Failed to install Qt translation (nl_BE)
Starting Hedgewars 0.9.24.1-r13337 (bb074fa5c532)
No /Schemes/Ammo directory found. Trying to import weapon schemes from weapons.ini.
0 weapon scheme(s) imported.
No /Schemes/Game directory found. Trying to import game schemes from schemes.ini.
0 game scheme(s) imported.

Then the game seems to start OK , video + sound. Then I choose to run Basic Movement Training for greenhorns and there (after a window saying "Loading") I get an error: 
The game engine died unexpectedly! (exit code 217) while the window remains open and the music keeps playing.
I can choose other training options but they all fail in the same way.
Restarting the game does not give me the training options again, I can download some hedgewars content , so the access to server works at least for that. But I see no way to play the game.

CC: (none) => herman.viaene

Comment 3 Herman Viaene 2018-10-01 07:47:26 CEST
MGA6-64 Plasma on Lenovo B50
No installation issues
At CLI:
$ hedgewars 
Qt style set: Windows
[PHYSFS] Init: ok
[PHYSFS] Mounting '/usr/share/games/hedgewars/Data' to '/': ok
[PHYSFS] Mounting '/home/tester6/.hedgewars/Data' to '/': ok
[PHYSFS] Mounting '/home/tester6/.hedgewars' to '/': ok
[PHYSFS] Setting write dir to '/home/tester6/.hedgewars': ok
Detected system locale: nl_BE
Frontend uses locale: nl_BE
Failed to install Hedgewars translation (nl_BE)
Failed to install Qt translation (nl_BE)
Starting Hedgewars 0.9.24.1-r13337 (bb074fa5c532)
No /Schemes/Ammo directory found. Trying to import weapon schemes from weapons.ini.
0 weapon scheme(s) imported.
No /Schemes/Game directory found. Trying to import game schemes from schemes.ini.
0 game scheme(s) imported.

Choosing training- basic movements: all seems to work OK, n further feedback at CLI. Did not go any further than this training.

Difference with Comment 2:of course 32 - 64 bit, but the IBM is much more restricted in memory (1Gb vs 4Gb on the Lenovo), that could be a reason.

Whiteboard: (none) => MGA6-64-OK

Comment 4 Thomas Andrews 2018-10-01 22:02:50 CEST
Sounds reasonable to me, Herman. I know how restrictive a 1GB machine can be. 

Validating...

Keywords: (none) => validated_update
CC: (none) => andrewsfarm, sysadmin-bugs

Thomas Backlund 2018-10-14 02:01:13 CEST

Keywords: (none) => advisory
CC: (none) => tmb

Comment 5 Mageia Robot 2018-10-14 02:59:34 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0158.html

Status: ASSIGNED => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.